#!/bin/sh
ME=mail2sh
MEGROUP=mail2sh
MEHOME=/var/lib/mail2sh
MEDOC=/usr/share/doc/mail2sh

case "$1" in
  remove)
    if [ -L ${MEDOC} ]; then
       rm -fr ${MEDOC} &> /dev/null
       echo "user account NO destroy : $ME"
       echo "use : -> deluser $ME <- for destroy account"
    fi
    ;;

  upgrade)
    if [ -L ${MEDOC} ]; then
       rm -fr ${MEDOC} &> /dev/null
       echo Directory $MEDOC erased
    fi
    ;;

  purge)
       rm -rf /var/lib/mail2sh /etc/mail2sh
       echo $MEHOME and $ETCHOME is erased.
       deluser --quiet --remove-home $ME > /dev/null || true
       echo User $ME is deleted
       delgroup --quiet $MEGROUP > /dev/null || true
       echo GroupId $MEGROUP is deleted
       rm -fr ${MEDOC} &> /dev/null
       echo Directory $MEDOC erased
    ;;

  failed-upgrade|abort-install|abort-upgrade|disappear)
    ;;

  *)
    echo "postrm called with unknown argument \`$1'" >&2
    exit 0
    ;;
esac
